---
title: llarp::rpc::RPCServer

---

# llarp::rpc::RPCServer





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-rpcserver)**(LMQ_ptr , [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) & ) |
| | **[~RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-~rpcserver)**() =default |
| template <typename Result_t \> <br>std::string | **[CreateJSONResponse](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-createjsonresponse)**(Result_t result) |
| std::string | **[CreateJSONError](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-createjsonerror)**(std::string_view msg) |
| void | **[AddCategories](Classes/classllarp_1_1rpc_1_1RPCServer.md#function-addcategories)**() |

## Public Functions Documentation

### function RPCServer

```cpp
explicit RPCServer(
    LMQ_ptr ,
    AbstractRouter & 
)
```


### function ~RPCServer

```cpp
~RPCServer() =default
```


### function CreateJSONResponse

```cpp
template <typename Result_t >
inline std::string CreateJSONResponse(
    Result_t result
)
```


### function CreateJSONError

```cpp
inline std::string CreateJSONError(
    std::string_view msg
)
```


### function AddCategories

```cpp
void AddCategories()
```


-------------------------------

Updated on 2023-01-13 at 17:17:16 +0000