---
title: llarp::rpc::RPC_REQUEST

---

# llarp::rpc::RPC_REQUEST





Inherited by [llarp::rpc::DEFERRED](Classes/structllarp_1_1rpc_1_1DEFERRED.md), [llarp::rpc::IMMEDIATE](Classes/structllarp_1_1rpc_1_1IMMEDIATE.md), [llarp::rpc::NO_ARGS](Classes/structllarp_1_1rpc_1_1NO__ARGS.md), [llarp::rpc::PROTECTED](Classes/structllarp_1_1rpc_1_1PROTECTED.md), [llarp::rpc::PUBLIC](Classes/structllarp_1_1rpc_1_1PUBLIC.md)

## Public Functions

|                | Name           |
| -------------- | -------------- |
| bool | **[is_bt](Classes/structllarp_1_1rpc_1_1RPC__REQUEST.md#function-is-bt)**() const |
| void | **[set_bt](Classes/structllarp_1_1rpc_1_1RPC__REQUEST.md#function-set-bt)**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| nlohmann::json | **[response](Classes/structllarp_1_1rpc_1_1RPC__REQUEST.md#variable-response)**  |
| [tools::json_binary_proxy](Classes/classtools_1_1json__binary__proxy.md) | **[response_hex](Classes/structllarp_1_1rpc_1_1RPC__REQUEST.md#variable-response-hex)**  |
| [tools::json_binary_proxy](Classes/classtools_1_1json__binary__proxy.md) | **[response_b64](Classes/structllarp_1_1rpc_1_1RPC__REQUEST.md#variable-response-b64)**  |

## Public Functions Documentation

### function is_bt

```cpp
inline bool is_bt() const
```


### function set_bt

```cpp
inline void set_bt()
```


## Public Attributes Documentation

### variable response

```cpp
nlohmann::json response;
```


### variable response_hex

```cpp
tools::json_binary_proxy response_hex {response, tools::json_binary_proxy::fmt::hex};
```


### variable response_b64

```cpp
tools::json_binary_proxy response_b64 {response, tools::json_binary_proxy::fmt::base64};
```


-------------------------------

Updated on 2023-01-13 at 17:17:16 +0000