---
title: llarp::rpc

---

# llarp::rpc



## Namespaces

| Name           |
| -------------- |
| **[llarp::rpc::endpoint](Namespaces/namespacellarp_1_1rpc_1_1endpoint.md)**  |

## Classes

|                | Name           |
| -------------- | -------------- |
| struct | **[llarp::rpc::EndpointAuthRPC](Classes/structllarp_1_1rpc_1_1EndpointAuthRPC.md)**  |
| struct | **[llarp::rpc::LokidRpcClient](Classes/structllarp_1_1rpc_1_1LokidRpcClient.md)** <br>The [LokidRpcClient]() uses loki-mq to talk to make API requests to lokid.  |
| struct | **[llarp::rpc::RPC_REQUEST](Classes/structllarp_1_1rpc_1_1RPC__REQUEST.md)**  |
| struct | **[llarp::rpc::PUBLIC](Classes/structllarp_1_1rpc_1_1PUBLIC.md)**  |
| struct | **[llarp::rpc::PROTECTED](Classes/structllarp_1_1rpc_1_1PROTECTED.md)**  |
| struct | **[llarp::rpc::NO_ARGS](Classes/structllarp_1_1rpc_1_1NO__ARGS.md)**  |
| struct | **[llarp::rpc::DEFERRED](Classes/structllarp_1_1rpc_1_1DEFERRED.md)**  |
| struct | **[llarp::rpc::IMMEDIATE](Classes/structllarp_1_1rpc_1_1IMMEDIATE.md)**  |
| struct | **[llarp::rpc::LOGS](Classes/structllarp_1_1rpc_1_1LOGS.md)**  |
| struct | **[llarp::rpc::HALT](Classes/structllarp_1_1rpc_1_1HALT.md)**  |
| struct | **[llarp::rpc::VERSION](Classes/structllarp_1_1rpc_1_1VERSION.md)**  |
| struct | **[llarp::rpc::STATUS](Classes/structllarp_1_1rpc_1_1STATUS.md)**  |
| struct | **[llarp::rpc::GETSTATUS](Classes/structllarp_1_1rpc_1_1GETSTATUS.md)**  |
| struct | **[llarp::rpc::QUICCONNECT](Classes/structllarp_1_1rpc_1_1QUICCONNECT.md)**  |
| struct | **[llarp::rpc::QUICLISTENER](Classes/structllarp_1_1rpc_1_1QUICLISTENER.md)**  |
| struct | **[llarp::rpc::LOOKUPSNODE](Classes/structllarp_1_1rpc_1_1LOOKUPSNODE.md)**  |
| struct | **[llarp::rpc::ENDPOINT](Classes/structllarp_1_1rpc_1_1ENDPOINT.md)**  |
| struct | **[llarp::rpc::EXIT](Classes/structllarp_1_1rpc_1_1EXIT.md)**  |
| struct | **[llarp::rpc::DNSQUERY](Classes/structllarp_1_1rpc_1_1DNSQUERY.md)**  |
| struct | **[llarp::rpc::CONFIG](Classes/structllarp_1_1rpc_1_1CONFIG.md)**  |
| class | **[llarp::rpc::MessageHandler](Classes/classllarp_1_1rpc_1_1MessageHandler.md)**  |
| class | **[llarp::rpc::RPCServer](Classes/classllarp_1_1rpc_1_1RPCServer.md)**  |
| struct | **[llarp::rpc::RpcServer](Classes/structllarp_1_1rpc_1_1RpcServer.md)**  |

## Types

|                | Name           |
| -------------- | -------------- |
| typedef std::shared_ptr< oxenmq::OxenMQ > | **[LMQ_ptr](Namespaces/namespacellarp_1_1rpc.md#typedef-lmq-ptr)**  |

## Functions

|                | Name           |
| -------------- | -------------- |
| template <size_t... N\> <br>constexpr std::array< std::string_view, sizeof...(N)> | **[NAMES](Namespaces/namespacellarp_1_1rpc.md#function-names)**(const  char(&...names)[N]) |

## Types Documentation

### typedef LMQ_ptr

```cpp
typedef std::shared_ptr< oxenmq::OxenMQ > llarp::rpc::LMQ_ptr;
```



## Functions Documentation

### function NAMES

```cpp
template <size_t... N>
constexpr std::array< std::string_view, sizeof...(N)> NAMES(
    const  char(&...names)[N]
)
```






-------------------------------

Updated on 2023-01-13 at 17:17:16 +0000